<?php

require_once "../../../app/model/db.class.php";


//------------------------------------
function descrip($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function descrip2($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

    



//------------------------------------

if ($_POST['accion']=='comp_codigo'){

    $obj = new database();

    $codigo=$_POST['codigo'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");



    $resultado=$obj->consulta("select * from alumnos where codigo='".$codigo."'");
    $row=$obj->fetch_assoc($resultado);

    if($obj->numero_de_filas($resultado)<>0)
    {
    echo ($row['p_apellido']." ".$row['s_apellido']." ".$row['p_nombre']." ".$row['s_nombre']);
    }else{
      echo 'nr';
    }
                      
}



//------------------------------------------


if ($_POST['accion']=='guardar_matricula'){
    
    $codigo=$_REQUEST['codigo'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $fecha=$_REQUEST['fecha'];
    $nmatri=$_REQUEST['nmatri'];
    $alec=$_REQUEST['alec'];
    $obser=$_REQUEST['obser'];


    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    
    
    
    $alumno=$obj->consulta("select * from matriculas where codigo='".$codigo."'");
    $row=$obj->fetch_assoc($alumno);

    if($obj->numero_de_filas($alumno)<>0)
       echo "Estudiante Matriculada";
    
    else{
 
         $resultado=$obj->consulta("insert into matriculas (codigo,grado,curso,estado,fecha_matri,no_matricula,ano_lectivo,observacion) values
                                     ('".$codigo."','".$grado."','".$curso."','A','".$fecha."','".$nmatri."','".$alec."','".$obser."');");

         $obj->consulta("insert into usuarios (id,usuario,contrasena,rol,email,fecha_reg) values
                           ('".$codigo."','".$codigo."','".$codigo."','2','.','".date("Y-m-d H:i:s")."')");



         if($resultado)
             echo 'Registro Grabado';        
 
    }    
    
    

}



if ($_POST['accion']=='elim_matri'){

    $codigo=$_REQUEST['codigo'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("delete from matriculas where codigo='".$codigo."'");

    if($resultado){
        echo 'Matricula Eliminada';
    }

}


//-----------------------------------

if ($_POST['accion']=='mostrar_matricula'){

    $codigo=$_REQUEST['codigo'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select codigo,estado,grado,curso,fecha_matri,no_matricula,ano_lectivo,observacion from matriculas
                               where codigo='".$codigo."'");


    $n=$obj->numero_de_filas($resultado);

    if ($n==1){
        
        $row = $obj->fetch_assoc($resultado);
    
    
    //-------------------------- Informacion Personal Alumno
    
    $alumno=$obj->consulta("select * from alumnos where codigo='".$row['codigo']."'");
    $row1=$obj->fetch_assoc($alumno);

    $nombres= $row1['p_apellido']." ".$row1['s_apellido']." ".$row1['p_nombre']." ".$row1['s_nombre'];
    
    //--------------------------- Informacion Curso
    
    $grado=$obj->consulta("select * from grados where codigo='".$row['grado']."'");
    $row2=$obj->fetch_assoc($grado);

    //--------------------------- Informacion Curso
    $curso=$obj->consulta("select * from cursos where codigo='".$row['curso']."' and grado='".$row['grado']."'");
    $row3=$obj->fetch_assoc($curso);

     $n1=$obj->numero_de_filas($curso);

    if ($n1==1)
        $curso=$row3['descripcion'];
    else    
       $curso="NO EXISTE";
    
      
     echo ($nombres)."_".$row['estado']."_".$row['grado']."_".($row2['descripcion'])."_".$row['curso']."_".($curso)."_".$row['fecha_matri']."_".$row['no_matricula']."_".$row['ano_lectivo']."_".$row['observacion'];
    }
    else{
        echo "NO";
    }

    $obj->disconnect();
}


//-----------------------------------

if ($_POST['accion']=='modificar_matricula'){

    $codigo=$_REQUEST['codigo'];
    $estado=$_REQUEST['estado'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $fecha=$_REQUEST['fecha'];
    $nmatri=$_REQUEST['nmatri'];
    $alec=$_REQUEST['alec'];
    $obser=$_REQUEST['obser'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("update matriculas set estado='".$estado."',grado='".$grado."',curso='".$curso."', fecha_matri='".$fecha."', no_matricula='".$nmatri."', ano_lectivo='".$alec."', observacion='".$obser."' where codigo='".$codigo."'");

    if($resultado){
        echo 'Matricula Actualizada';
    }

}



?>